langcode: en
status: true
dependencies:
  config:
    - block_content.type.featuring
    - field.field.block_content.featuring.body
    - field.field.block_content.featuring.field_cta
    - field.field.block_content.featuring.field_heading
    - field.field.block_content.featuring.field_media
  module:
    - media_library
    - media_library_edit
    - text
    - ui_icons_field_linkit_attributes
id: block_content.featuring.default
targetEntityType: block_content
bundle: featuring
mode: default
content:
  body:
    type: text_textarea_with_summary
    weight: 5
    region: content
    settings:
      rows: 9
      summary_rows: 3
      placeholder: ''
      show_summary: false
    third_party_settings: {  }
  field_cta:
    type: icon_linkit_attributes_widget
    weight: 6
    region: content
    settings:
      placeholder_url: ''
      placeholder_title: ''
      linkit_profile: default
      linkit_auto_link_text: false
      enabled_attributes:
        target: true
        rel: true
        class: true
        title: true
        id: false
        name: false
        accesskey: false
        aria-label: false
      widget_default_open: expandIfValuesSet
      allowed_icon_pack:
        bootstrap: '0'
        fontawesome_brands: '0'
        fontawesome_regular: '0'
        fontawesome_solid: '0'
      show_settings: false
      icon_required: false
      icon_position: true
      icon_selector: icon_autocomplete
    third_party_settings: {  }
  field_heading:
    type: string_textfield
    weight: 4
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_media:
    type: media_library_widget
    weight: 3
    region: content
    settings:
      media_types:
        - image
        - image_svg
    third_party_settings:
      media_library_edit:
        show_edit: '1'
        edit_form_mode: default
  info:
    type: string_textfield
    weight: 0
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  langcode:
    type: language_select
    weight: 1
    region: content
    settings:
      include_locked: true
    third_party_settings: {  }
  translation:
    weight: 2
    region: content
    settings: {  }
    third_party_settings: {  }
hidden: {  }
